RTL2832_NAMESPACE::tuner Class Referenceabstract

`#include <rtl2832.h>`

Inheritance diagram for RTL2832_NAMESPACE::tuner:
[legend]

## Classes

struct | params

## Public Types

enum | gain_mode { NOT_SUPPORTED = -1 , DEFAULT = 0 }
typedef tuner *(* | CreateTunerFn) (demod *p)
typedef int(* | ProbeTunerFn) (demod *p)
typedef struct RTL2832_NAMESPACE::tuner::params | PARAMS
typedef struct RTL2832_NAMESPACE::tuner::params * | PPARAMS

## Public Member Functions

virtual | ~tuner ()
virtual int | initialise (PPARAMS params=NULL)=0
virtual int | set_frequency (double freq)=0
virtual int | set_bandwidth (double bw)=0
virtual int | set_gain (double gain)=0
virtual int | set_gain_mode (int mode)=0
virtual int | set_auto_gain_mode (bool on=true)=0
virtual int | set_i2c_repeater (bool on=true, const char *function_name=NULL, int line_number=-1, const char *line=NULL)=0
virtual int | i2c_read (uint8_t i2c_addr, uint8_t *buffer, int len)=0
virtual int | i2c_write (uint8_t i2c_addr, uint8_t *buffer, int len)=0
virtual double | frequency () const =0
virtual double | bandwidth () const =0
virtual double | gain () const =0
virtual int | gain_mode () const =0
virtual range_t | gain_range () const =0
virtual values_t | gain_values () const =0
virtual range_t | frequency_range () const =0
virtual range_t | bandwidth_range () const =0
virtual values_t | bandwidth_values () const =0
virtual num_name_map_t | gain_modes () const =0
virtual bool | calc_appropriate_gain_mode (int &mode)=0
virtual bool | auto_gain_mode () const =0
virtual const PARAMS & | params () const =0
virtual demod * | parent () const =0
Public Member Functions inherited from RTL2832_NAMESPACE::i2c_interface
virtual int | i2c_write_reg (uint8_t i2c_addr, uint8_t reg, uint8_t val)=0
virtual int | i2c_read_reg (uint8_t i2c_addr, uint8_t reg, uint8_t &data)=0
Public Member Functions inherited from RTL2832_NAMESPACE::named_interface
virtual const char * | name () const =0

## Member Typedef Documentation

## CreateTunerFn

typedef tuner *(* RTL2832_NAMESPACE::tuner::CreateTunerFn) (demod *p)

## PARAMS

typedef struct RTL2832_NAMESPACE::tuner::params RTL2832_NAMESPACE::tuner::PARAMS

## PPARAMS

typedef struct RTL2832_NAMESPACE::tuner::params * RTL2832_NAMESPACE::tuner::PPARAMS

## ProbeTunerFn

typedef int(* RTL2832_NAMESPACE::tuner::ProbeTunerFn) (demod *p)

## Member Enumeration Documentation

## gain_mode

enum RTL2832_NAMESPACE::tuner::gain_mode

Enumerator
NOT_SUPPORTED |
DEFAULT |

## Constructor & Destructor Documentation

## ~tuner()

virtual RTL2832_NAMESPACE::tuner::~tuner | ( |  | ) |

virtual

## Member Function Documentation

## auto_gain_mode()

virtual bool RTL2832_NAMESPACE::tuner::auto_gain_mode | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::auto_gain_mode().

## bandwidth()

virtual double RTL2832_NAMESPACE::tuner::bandwidth | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::bandwidth().

## bandwidth_range()

virtual range_t RTL2832_NAMESPACE::tuner::bandwidth_range | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::bandwidth_range().

## bandwidth_values()

virtual values_t RTL2832_NAMESPACE::tuner::bandwidth_values | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::bandwidth_values().

## calc_appropriate_gain_mode()

virtual bool RTL2832_NAMESPACE::tuner::calc_appropriate_gain_mode | ( | int & | mode | ) |

pure virtual

Implemented in RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4000, RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4k, and RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::calc_appropriate_gain_mode().

## frequency()

virtual double RTL2832_NAMESPACE::tuner::frequency | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::frequency().

## frequency_range()

virtual range_t RTL2832_NAMESPACE::tuner::frequency_range | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::frequency_range().

## gain()

virtual double RTL2832_NAMESPACE::tuner::gain | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::gain().

## gain_mode()

virtual int RTL2832_NAMESPACE::tuner::gain_mode | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

## gain_modes()

virtual num_name_map_t RTL2832_NAMESPACE::tuner::gain_modes | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::gain_modes().

## gain_range()

virtual range_t RTL2832_NAMESPACE::tuner::gain_range | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::gain_range().

## gain_values()

virtual values_t RTL2832_NAMESPACE::tuner::gain_values | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

Referenced by baz_rtl_source_c::gain_values().

## i2c_read()

virtual int RTL2832_NAMESPACE::tuner::i2c_read | ( | uint8_t | i2c_addr,
|  | uint8_t * | buffer,
|  | int | len
| ) |  |

pure virtual

Implements RTL2832_NAMESPACE::i2c_interface.

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

## i2c_write()

virtual int RTL2832_NAMESPACE::tuner::i2c_write | ( | uint8_t | i2c_addr,
|  | uint8_t * | buffer,
|  | int | len
| ) |  |

pure virtual

Implements RTL2832_NAMESPACE::i2c_interface.

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

## initialise()

virtual int RTL2832_NAMESPACE::tuner::initialise | ( | PPARAMS | params = `NULL` | ) |

pure virtual

Implemented in RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4000, RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4k, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0013, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc2580, RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t, and RTL2832_NAMESPACE::tuner_skeleton.

## params()

virtual const PARAMS & RTL2832_NAMESPACE::tuner::params | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

## parent()

virtual demod * RTL2832_NAMESPACE::tuner::parent | ( |  | ) | const

pure virtual

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

## set_auto_gain_mode()

virtual int RTL2832_NAMESPACE::tuner::set_auto_gain_mode | ( | bool | on = `true` | ) |

pure virtual

Implemented in RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4000, RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4k, and RTL2832_NAMESPACE::tuner_skeleton.

## set_bandwidth()

virtual int RTL2832_NAMESPACE::tuner::set_bandwidth | ( | double | bw | ) |

pure virtual

Implemented in RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4000, RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4k, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0013, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc2580, RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t, and RTL2832_NAMESPACE::tuner_skeleton.

## set_frequency()

virtual int RTL2832_NAMESPACE::tuner::set_frequency | ( | double | freq | ) |

pure virtual

Implemented in RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4000, RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4k, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0013, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc2580, RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t, and RTL2832_NAMESPACE::tuner_skeleton.

## set_gain()

virtual int RTL2832_NAMESPACE::tuner::set_gain | ( | double | gain | ) |

pure virtual

Implemented in RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4000, RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4k, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0013, RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc2580, RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t, and RTL2832_NAMESPACE::tuner_skeleton.

## set_gain_mode()

virtual int RTL2832_NAMESPACE::tuner::set_gain_mode | ( | int | mode | ) |

pure virtual

Implemented in RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4000, RTL2832_NAMESPACE::TUNERS_NAMESPACE::e4k, and RTL2832_NAMESPACE::tuner_skeleton.

## set_i2c_repeater()

virtual int RTL2832_NAMESPACE::tuner::set_i2c_repeater | ( | bool | on = `true`,
|  | const char * | function_name = `NULL`,
|  | int | line_number = `-1`,
|  | const char * | line = `NULL`
| ) |  |

pure virtual

Implements RTL2832_NAMESPACE::i2c_interface.

Implemented in RTL2832_NAMESPACE::tuner_skeleton.

The documentation for this class was generated from the following file:

- rtl2832.h